Package: grails.ui.console.support

## [Groovy] Class GroovyConsoleWebApplicationContext

- grails.ui.console.support.GroovyConsoleWebApplicationContext

-     @groovy.transform.InheritConstructors
      @groovy.transform.CompileStatic
      class GroovyConsoleWebApplicationContext
      extends DevelopmentWebApplicationContext

  A {@org.springframework.web.context.WebApplicationContext} for use in the embedded Grails console

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `GroovyConsoleWebApplicationContext.1` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyConsoleWebApplicationContext ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `finishRefresh()`
    `` | `protected void` | `startConsole()`

- - ### Constructor Detail

    - #### GroovyConsoleWebApplicationContext()

  - ### Method Detail

    - #### @java.lang.Override protected void finishRefresh()

    - #### protected void startConsole()